tilda on main screen crash

Having trouble with the game? Report issues and get help here. Read this first!

Moderators: Forum Moderators, Developers

Forum rules
Before reporting issues in this section, you must read the following topic:
Post Reply
vghetto
Posts: 151
Joined: November 2nd, 2019, 5:12 pm

tilda on main screen crash

Post by vghetto »

Hi,

I don't know if this is a known bug or not, I couldn't find it on github.
On linux wesnoth 1.14.5, if I press the tilda ~ key while on the main screen, a segmentation fault occurs.

Edit:
Sorry meant to say back quote ` key. it's the same key as the ~ without pressing shift, on my keyboard it is above the tab and before the 1.

User avatar
Pentarctagon
Forum Administrator
Posts: 4331
Joined: March 22nd, 2009, 10:50 pm
Location: Earth (occasionally)

Re: tilda on main screen crash

Post by Pentarctagon »

I'm not able to reproduce this on the most recent version of wesnoth compiled from source from github (1.14 or 1.15), or on 1.14.9 from Steam. Can you see if the crash still happens if you use the more up to date Steam version?
99 little bugs in the code, 99 little bugs
take one down, patch it around
-2,147,483,648 little bugs in the code

vghetto
Posts: 151
Joined: November 2nd, 2019, 5:12 pm

Re: tilda on main screen crash

Post by vghetto »

Pentarctagon wrote:
January 16th, 2020, 1:33 pm
I'm not able to reproduce this on the most recent version of wesnoth compiled from source from github (1.14 or 1.15), or on 1.14.9 from Steam. Can you see if the crash still happens if you use the more up to date Steam version?
I'm on debian buster, and the stable version of wesnoth is 1.14.5. It happened with that version. I updated my wesnoth version to debian's unstable sid which is 1.14.9 and it did not crash there. So, problem solved I guess.
btw, why isn't there a buster-backport version of wesnoth?

User avatar
Pentarctagon
Forum Administrator
Posts: 4331
Joined: March 22nd, 2009, 10:50 pm
Location: Earth (occasionally)

Re: tilda on main screen crash

Post by Pentarctagon »

My understanding is it's a problem that 1.14 still has a bunch of script that rely on python 2 rather than python 3, though I don't really know why since 1.14.5 and 1.14.9 are the same in that regard.
99 little bugs in the code, 99 little bugs
take one down, patch it around
-2,147,483,648 little bugs in the code

Post Reply